

- Remove incorrect (and duplicated) smp_send_reschedule() declaration.

- Be consistent about the kick_process declaration.

- Fix send_IPI_self()


---

 25-akpm/arch/i386/kernel/smp.c |    2 +-
 25-akpm/include/asm-i386/smp.h |    1 -
 25-akpm/include/linux/sched.h  |    2 +-
 25-akpm/include/linux/smp.h    |    2 +-
 25-akpm/kernel/sched.c         |    1 +
 5 files changed, 4 insertions(+), 4 deletions(-)

diff -puN include/asm-i386/smp.h~fastcall-warning-fixes-2 include/asm-i386/smp.h
--- 25/include/asm-i386/smp.h~fastcall-warning-fixes-2	Mon Mar  1 15:59:48 2004
+++ 25-akpm/include/asm-i386/smp.h	Mon Mar  1 16:05:58 2004
@@ -38,7 +38,6 @@ extern int cpu_sibling_map[];
 
 extern void smp_flush_tlb(void);
 extern void smp_message_irq(int cpl, void *dev_id, struct pt_regs *regs);
-extern void smp_send_reschedule(int cpu);
 extern void smp_invalidate_rcv(void);		/* Process an NMI */
 extern void (*mtrr_hook) (void);
 extern void zap_low_mappings (void);
diff -puN include/linux/sched.h~fastcall-warning-fixes-2 include/linux/sched.h
--- 25/include/linux/sched.h~fastcall-warning-fixes-2	Mon Mar  1 15:59:48 2004
+++ 25-akpm/include/linux/sched.h	Mon Mar  1 16:05:58 2004
@@ -602,7 +602,7 @@ extern void do_timer(struct pt_regs *);
 extern int FASTCALL(wake_up_state(struct task_struct * tsk, unsigned int state));
 extern int FASTCALL(wake_up_process(struct task_struct * tsk));
 #ifdef CONFIG_SMP
- extern void FASTCALL(kick_process(struct task_struct * tsk));
+ extern void kick_process(struct task_struct *tsk);
 #else
  static inline void kick_process(struct task_struct *tsk) { }
 #endif
diff -puN include/linux/smp.h~fastcall-warning-fixes-2 include/linux/smp.h
--- 25/include/linux/smp.h~fastcall-warning-fixes-2	Mon Mar  1 15:59:48 2004
+++ 25-akpm/include/linux/smp.h	Mon Mar  1 15:59:48 2004
@@ -30,7 +30,7 @@ extern void smp_send_stop(void);
 /*
  * sends a 'reschedule' event to another CPU:
  */
-extern void FASTCALL(smp_send_reschedule(int cpu));
+extern void smp_send_reschedule(int cpu);
 
 
 /*
diff -puN kernel/sched.c~fastcall-warning-fixes-2 kernel/sched.c
--- 25/kernel/sched.c~fastcall-warning-fixes-2	Mon Mar  1 15:59:48 2004
+++ 25-akpm/kernel/sched.c	Mon Mar  1 16:05:58 2004
@@ -33,6 +33,7 @@
 #include <linux/suspend.h>
 #include <linux/blkdev.h>
 #include <linux/delay.h>
+#include <linux/smp.h>
 #include <linux/timer.h>
 #include <linux/rcupdate.h>
 #include <linux/cpu.h>
diff -puN arch/i386/kernel/smp.c~fastcall-warning-fixes-2 arch/i386/kernel/smp.c
--- 25/arch/i386/kernel/smp.c~fastcall-warning-fixes-2	Mon Mar  1 16:06:07 2004
+++ 25-akpm/arch/i386/kernel/smp.c	Mon Mar  1 16:06:12 2004
@@ -150,7 +150,7 @@ inline void __send_IPI_shortcut(unsigned
 	apic_write_around(APIC_ICR, cfg);
 }
 
-void send_IPI_self(int vector)
+void fastcall send_IPI_self(int vector)
 {
 	__send_IPI_shortcut(APIC_DEST_SELF, vector);
 }

_
